.troca-tela-enter-active {
  transition: all 0.5s ease-out;
}

.troca-tela-leave-active {
  transition: all 0.5s ease-in;
}

.troca-tela-enter-from {
  transform: translateX(-40px);
  opacity: 0;
}

.troca-tela-leave-to {
  transform: translateX(40px);
  opacity: 0;
}


.troca-panel-enter-active {
  transition: all 0.5s ease-out;
}

.troca-panel-leave-active {
  transition: all 0.5s ease-in;
}

.troca-panel-enter-from {
  transform: translateY(-40px);
  opacity: 0;
}

.troca-panel-leave-to {
  transform: translateY(40px);
  opacity: 0;
}

.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.5s ease;
}

.fade-enter-from,
.fade-leave-to {
  opacity: 0;
}

.table-element-enter-active {
  transition: opacity 1s ease;
}

.table-element-leave-active {
  display: none;
}

.table-element-enter-from {
  opacity: 0.3;
}
.table-element-leave-to {
  opacity: 0;
}

.troca-horario-move,
.troca-horario-enter-active {
  transition: all 0.5s ease-in;
}

.troca-horario-leave-active {
  transition: all 0.5s ease-out;
}

.troca-horario-enter-from {
  transform: translateX(-40px);
  opacity: 0;
}

.troca-horario-leave-to {
  transform: translateY(40px);
  opacity: 0;
}

.troca-horario-leave-active {
  position: absolute;
}
